[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FFTWRealAccessor [Data Accessors, Accessors for FFTWComplex] |

`#include <vigra/fftw3.hxx>`

Inheritance diagram for FFTWRealAccessor:

List of all members.

## Public Types
typedef fftw_real | value_type
| The accessor's value type.
## Public Member Functions
template<class ITERATOR, class DIFFERENCE>
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
| Read real part at offset from iterator position.
template<class ITERATOR>
value_type | operator() (ITERATOR const &i) const
| Read real part at iterator position.
template<class ITERATOR, class DIFFERENCE>
void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
| Write real part at offset from iterator position.
template<class ITERATOR>
void | set (value_type const &v, ITERATOR const &i) const
| Write real part at iterator position.

## Detailed Description

Encapsulate access to the the real part of a complex number.

#include <vigra/fftw3.hxx> (for FFTW 3) or
#include <vigra/fftw.hxx> (for deprecated FFTW 2)
Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/fftw3.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)